Source: vault
Section: devel
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.39~) ,golang-any (>= 2:1.11~)
    ,golang-barcode-dev
    ,golang-etcd-server-dev
    ,golang-github-aliyun-aliyun-oss-go-sdk-dev
    ,golang-github-armon-go-metrics-dev
    ,golang-github-armon-go-proxyproto-dev
    ,golang-github-armon-go-radix-dev
    ,golang-github-asaskevich-govalidator-dev
    ,golang-github-azure-azure-sdk-for-go-dev (>= 10.3.0~)
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-azure-go-autorest-dev
    ,golang-github-bgentry-speakeasy-dev
    ,golang-github-cenkalti-backoff-dev
    ,golang-github-circonus-labs-circonus-gometrics-dev
    ,golang-github-circonus-labs-circonusllhist-dev
    ,golang-github-cockroachdb-cockroach-go-dev
    ,golang-github-coreos-go-oidc-dev
    ,golang-github-coreos-go-semver-dev
    ,golang-github-coreos-go-systemd-dev
    ,golang-github-coreos-pkg-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-denisenkom-go-mssqldb-dev
    ,golang-github-dgrijalva-jwt-go-dev
    ,golang-github-dustin-go-humanize-dev
    ,golang-github-elazarl-go-bindata-assetfs-dev
    ,golang-github-fatih-structs-dev
    ,golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160622~)
    ,golang-github-ghodss-yaml-dev
    ,golang-github-gocql-gocql-dev
    ,golang-github-go-errors-errors-dev
    ,golang-github-gogo-protobuf-dev (>= 1.2.1~)
    ,golang-github-golang-snappy-dev
    ,golang-github-go-ldap-ldap-dev (>= 2.5.1~)
    ,golang-github-googleapis-gax-go-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-go-test-deep-dev
    ,golang-github-google-go-github-dev (>= 28.1.1~)
    ,golang-github-google-go-querystring-dev
    ,golang-github-gorhill-cronexpr-dev
    ,golang-github-go-sql-driver-mysql-dev
    ,golang-github-hashicorp-consul-dev (>= 1.0.7~)
    ,golang-github-hashicorp-go-cleanhttp-dev
    ,golang-github-hashicorp-go-immutable-radix-dev
    ,golang-github-hashicorp-golang-lru-dev
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-msgpack-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-nomad-dev
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.3~)
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-sockaddr-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-hcl-dev
    ,golang-github-hashicorp-memberlist-dev
    ,golang-github-hashicorp-serf-dev (>= 0.8.1~)
    ,golang-github-hashicorp-yamux-dev
    ,golang-github-influxdb-influxdb-dev
    ,golang-github-jackc-pgx-dev
    ,golang-github-jefferai-jsonx-dev
    ,golang-github-json-iterator-go-dev
    ,golang-github-kr-text-dev
    ,golang-github-lib-pq-dev
    ,golang-github-mattn-go-colorable-dev
    ,golang-github-mattn-go-isatty-dev
    ,golang-github-mgutz-ansi-dev
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-go-homedir-dev
    ,golang-github-mitchellh-go-testing-interface-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-ncw-swift-dev
    ,golang-github-nytimes-gziphandler-dev
    ,golang-github-oklog-run-dev
    ,golang-github-patrickmn-go-cache-dev
    ,golang-github-pborman-uuid-dev
    ,golang-github-pierrec-lz4-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-posener-complete-dev
    ,golang-github-pquerna-cachecontrol-dev
    ,golang-github-pquerna-otp-dev
    ,golang-github-prometheus-common-dev
    ,golang-github-prometheus-client-golang-dev (>= 1.2.1~)
        ,golang-procfs-dev (>= 0.0.3~)
        ,golang-github-cespare-xxhash-dev (>= 2.1.0~)
    ,golang-github-ryanuber-columnize-dev (>= 2.1.0~)
    ,golang-github-ryanuber-go-glob-dev
    ,golang-github-samuel-go-zookeeper-dev
    ,golang-github-satori-go.uuid-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-spf13-pflag-dev
    ,golang-github-ugorji-go-codec
    ,golang-github-ugorji-go-codec-dev
    ,golang-glog-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-oauth2-dev (>= 0.0~git20180207~)
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-tools-dev
    ,golang-google-api-dev
    ,golang-google-appengine-dev
    ,golang-google-cloud-dev (>= 0.43.0~)
    ,golang-google-genproto-dev (>= 0.0~git20190801~)
    ,golang-go.opencensus-dev
    ,golang-gopkg-mgo.v2-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-goprotobuf-dev
Standards-Version: 4.5.0
Homepage: https://www.vaultproject.io/
Vcs-Git: https://salsa.debian.org/go-team/packages/vault.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/vault
XS-Go-Import-Path: github.com/hashicorp/vault
Rules-Requires-Root: no

Package: vault
Architecture: any
Built-Using: ${misc:Built-Using}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends} ,${misc:Depends}
    ,adduser
    ,pipexec
    ,procps
Recommends: ${misc:Recommends}
    ,consul
    ,libcap2-bin
Suggests: ${misc:Suggests}
Description: secrets and privileged access management, encryption as a service
 Vault secures, stores, and tightly controls access to tokens, passwords,
 certificates, API keys, and other secrets in modern computing. Vault
 handles leasing, key revocation, key rolling, and auditing. Through a
 unified API, users can access an encrypted Key/Value store and network
 encryption-as-a-service, or generate AWS IAM/STS credentials, SQL/NoSQL
 databases, X.509 certificates, SSH credentials, and more.
 .
 The key features of Vault are:
  * Secure Secret Storage: Arbitrary key/value secrets can be stored in
    Vault. Vault encrypts these secrets prior to writing them to persistent
    storage, so gaining access to the raw storage isn't enough to access
    your secrets. Vault can write to disk, Consul, and more.
 .
  * Dynamic Secrets: Vault can generate secrets on-demand for some systems,
    such as AWS or SQL databases. For example, when an application needs to
    access an S3 bucket, it asks Vault for credentials, and Vault will
    generate an AWS keypair with valid permissions on demand. After
    creating these dynamic secrets, Vault will also automatically revoke
    them after the lease is up.
 .
  * Data Encryption: Vault can encrypt and decrypt data without storing it.
    This allows security teams to define encryption parameters and
    developers to store encrypted data in a location such as SQL without
    having to design their own encryption methods.
 .
  * Leasing and Renewal: All secrets in Vault have a lease associated with
    it. At the end of the lease, Vault will automatically revoke that
    secret. Clients are able to renew leases via built-in renew APIs.
 .
  * Revocation: Vault has built-in support for secret revocation. Vault can
    revoke not only single secrets, but a tree of secrets, for example all
    secrets read by a specific user, or all secrets of a particular type.
    Revocation assists in key rolling as well as locking down systems in
    the case of an intrusion.
